Skip to content

Add Flow Step

POST /rest/asset/v1/smartCampaign/{id}/flows.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/smartCampaign/{id}/flows.json
Tag: Smart Campaigns
Operation ID: addSmartCampaignFlowStepUsingPOST

Adds a flow step to a smart campaign. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the smart campaign

Form-data parameters

Name Type Required Description Constraints
activityType.id integer (int32) Yes Id of the flow step action type
activityType.type string Yes Type of the flow step action type enum: activity, attribute
index integer (int32) Yes 0-based position to insert the step

Example request

POST {{base_url}}/rest/asset/v1/smartCampaign/{{id}}/flows.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

activityType.id={{activityType.id}}
activityType.type=activity
index={{index}}

Responses

200 — OK

Schema: model: ResponseOfSmartCampaignFlowMutationResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "flow": {
        "steps": [
          {
            "id": 123,
            "activityTypeId": 123,
            "activityTypeName": "Example name",
            "stepChoice": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.